;Filename: UrtSta.s
;Part    : ADuC703x.
;Created : 14/04/2006
;Author  : Patrick Noonan (Analog Device Inc.)
;This file is in beta sampling.

;This software is supplied subject our standard software license agreement.
;A non-binding summary is as follows:
;"You may use the software in your own code at your own risk.
;" ADI inc disclaims any warranty or liability of its use".
;The full standard software license agreement is available on request and
; remains the binding agreement.

#include        <ADuC7030.inc>

; UrtSta==========UART status.
; C Function prototype: int UrtSta(void);
; Description of Function: Reads the status byte of the UART.
; User interface:
;   Call UrtSta.
;   Returns value of COMSTA0:
;       COMSTA0.0 = Data ready.
;       COMSTA0.1 = Overrun error.
;       COMSTA0.2 = Parity error.
;       COMSTA0.3 = Framing error.
;       COMSTA0.4 = Break indicator.
;       COMSTA0.5 = Transmit queue empty.
;       COMSTA0.6 = Transmit holding register empty.
; Robustness:	UART must be configured before checking status.
; Side effects: Corrupts r3.

                RSEG CODE
                MODULE UrtSta
                PUBLIC UrtSta
                CODE32
UrtSta:
        mov     r3,#0xff0000            ;r3 = Z_BASE;
        orr     r3,r3,#0xff000000
        ldr     r0,[r3,#Z_COMSTA0]
        bx      lr

                 ENDMOD  UrtSta

                 END
        
